package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.WarningInformation;
import com.ruoyi.crops.service.IWarningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 预警信息controller
 */
@RestController
@RequestMapping("warning/information")
public class WarningController extends BaseController {
    @Autowired
    private IWarningService iWarningService;

    /**
     * 根据大棚编号查询
     * @param number
     * @return
     */
    @GetMapping("/{number}")
    public List<WarningInformation> selectByNumber(@PathVariable Integer number){
        return iWarningService.selectByNumber(number);
    }

    /**
     * 新增单条数据
     * @param warningInformation
     * @return
     */
    @PostMapping
    public AjaxResult insert(@RequestBody WarningInformation warningInformation){
        return toAjax(iWarningService.insert(warningInformation));
    }
}

