package com.ruoyi.crops.service.impl;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.crops.domain.User;
import com.ruoyi.crops.domain.UserInfo;
import com.ruoyi.crops.service.IUserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.time.Duration;
import java.util.HashMap;

@Service
public class UserInfoServiceImpl implements IUserInfoService {
    @Autowired
    private RedisTemplate redisTemplate;
    @Value("${url.userInfo}")
    private String url;

    @Override
    public String login(User user) {
        HashMap<String, Object> paramMap = new HashMap<>();
        paramMap.put("username", user.getUsername());
        paramMap.put("password", user.getPassword());
        String result = HttpUtil.post(url, paramMap);

        UserInfo userInfo = JSONObject.parseObject(result, UserInfo.class);
        redisTemplate.opsForValue().set(userInfo.getId(), userInfo.getToken(), Duration.ofMillis(userInfo.getExpire()) );

        return userInfo.toString();
    }
}
